#include <Adafruit_APDS9960.h>
#include <LiquidCrystal_I2C.h>

Adafruit_APDS9960 apds;
LiquidCrystal_I2C lcd(0x27, 16, 2);

int lastState = 0;

void setup() {
  apds.begin();
  apds.enableProximity(true);
  lcd.init();
  lcd.backlight();
  lcd.clear();
  lcd.setCursor(2, 0);
  lcd.print("PROSSIMITA'");
  updateDisplay(0);
}

void loop() {
  int proximity = apds.readProximity();
  int state = round(proximity / 16.0);
  if (state != lastState) {
    updateDisplay(state);
    lastState = state;
  }
  delay(1);
}

void updateDisplay(int state) {
  lcd.setCursor(0, 1);
  for (int i = 0; i < state; i++) {
    lcd.print(char(0xFF));
  }
  for (int i = state; i < 16; i++) {
    lcd.print(" ");
  }
}
